<?php

namespace App\Modules\Booking\Application\SearchConfirm;

use App\Modules\Booking\Domain\BookingRepository;


final class BookingCampPaxSearcher
{
    public function __construct(private BookingRepository $repository)
    {
    }

    public function __invoke(

    ): SearchCampPaxResponse {
        return new SearchCampPaxResponse($this->repository->searchCampPax());
    }
}
